// Default preferences for Pronto Firefox Extension

//--------------------
// Debug Options

pref("pronto.debug.main", false );
pref("pronto.debug.toast", false);
pref("pronto.debug.toast.slide", false);
pref("pronto.debug.coupon", false );
pref("pronto.debug.rewrite", false );
pref("pronto.debug.xmlhttp", false );
pref("pronto.debug.request", false );
pref("pronto.debug.models", false );
pref("pronto.debug.platform", false );
pref("pronto.debug.user_agent", false );
pref("pronto.debug.snooze", false );
pref("pronto.debug.console", "off" );
pref("pronto.debug.host", "localhost" );

pref("pronto.mm.debug.main", false );
pref("pronto.mm.debug.xpcom.main", false );
pref("pronto.mm.debug.xpcom.parse", false );
pref("pronto.mm.debug.xpcom.xmlhttp", false );
pref("pronto.mm.debug.xpcom.update", false );

//--------------------
// Display Options

pref("pronto.status.icon", false );
pref("pronto.display.forcestatusbar", false );
pref("pronto.display.forcealertslider", false );

//--------------------
// Main Extension Options

pref("pronto.web.host", "www.pronto.com" );
pref("pronto.client.version", "0.9.8" );
pref("pronto.firsttime", true );
pref("pronto.machine.id", "" );

//--------------------
// Search Options

pref("pronto.search.host", "www.pronto.com" );
pref("pronto.search.prefix", "/user/search.do" );

//--------------------
// Toast Behavior Options

pref("pronto.toast.off", false );
pref("pronto.toast.method", "toast" );
pref("pronto.toast.type", "mini" );

pref("pronto.toast.duration.sec", 14 );

pref("pronto.toast.snooze", false );
pref("pronto.toast.snooze.duration.hrs", 8 );

pref("pronto.toast.slide.enable", true );
pref("pronto.toast.slide.interval.ms", 24);
pref("pronto.toast.slide.duration.ms", 750);
pref("pronto.toast.slide.direction", "vertical");
pref("pronto.toast.slide.offscreen", true );
pref("pronto.toast.slide.offset", 0 );

pref("pronto.toast.banner.duration.sec", 14 );

pref("pronto.toast.flashing.interval.ms", 500 );
pref("pronto.toast.flashing.duration.sec", 3 );
pref("pronto.toast.flashing.lifetime.sec", 14 );
pref("pronto.toast.flashing.color.fg", "white" );
pref("pronto.toast.flashing.color.bg", "#FF9900" );
pref("pronto.toast.flashing.width.chars", 32 );
pref("pronto.toast.flashing.late.enable", false );

//--------------------
// Toast Blocking Options

pref("pronto.mm.ignore_sites", "" );
pref("pronto.toast.similar.ignore", false );
pref("pronto.toast.similar.ignore_sites", "" );
pref("pronto.toast.supress_prev_duplicate", true );

//--------------------
// Toast Appearance Options

pref("pronto.toast.location", "lower-right" );
pref("pronto.toast.relative", "screen" );
pref("pronto.toast.normal.size.width", 322 );
pref("pronto.toast.normal.size.height", 207);
pref("pronto.toast.mini.size.width", 161 );
pref("pronto.toast.mini.size.height", 47 );
pref("pronto.toast.window.extra.width", 0 );
pref("pronto.toast.window.extra.height", 0 );

//--------------------
// Coupon-related Options

pref("pronto.coupon.enable", true );
pref("pronto.coupon.lifetime.min", 180 );
pref("pronto.coupon.slide", true );

//--------------------
// XML message-related

pref("pronto.xml.reply.timeout.sec", 60 );
pref("pronto.xml.request.lifetime.sec", 600 );
pref("pronto.xml.request.history.min", 5 );

pref("pronto.xml.request.host", "api.pronto.com" );
pref("pronto.xml.request.prefix", "/client/event.do" );

//--------------------
// Status behavior

pref("pronto.interval.timer.ms", 1000 );
pref("pronto.status.busy.threshold", 5 );

//--------------------
// Grid link behavior

pref("pronto.grid_link.tabs", true );
pref("pronto.grid_link.background", false );

pref("pronto.session.new.window", false );

//--------------------
// Model Manager and Matcher Options

pref("pronto.mm.update.interval.min", 720 );

pref("pronto.mm.update.host", "api.pronto.com" );
pref("pronto.mm.update.prefix", "/user/liteModelQuery.do" );

pref("pronto.mm.promiscuous", false );
pref("pronto.mm.promiscuous.title", false );

pref("pronto.mm.model_file.local", "pf-local.sm" );

pref("pronto.mm.currentLiteModelVersion", "200609280956" );

